Bug 130042 - anaconda missing requires for booty
Summary: anaconda missing requires for booty
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-16 18:55 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 15:30:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lehman 2004-08-16 18:55:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
anaconda doesn't contain complete dependency information. Once
anaconda has been installed, it still can't be run in test mode until
booty is installed. FWIW, I only tried it in TUI mode.


Version-Release number of selected component (if applicable):
anaconda-9.1.2-2.RHEL

How reproducible:
Always

Steps to Reproduce:
1. install anaconda and whatever deps it calls for on a clean RHEL3-U2
system
2. give a bogus invocation just to get some module imports going -- eg
/usr/sbin/anaconda --test
    

Actual Results:  [root@wally tmp]# anaconda --test
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 345, in ?
    import dispatch
  File "/usr/lib/anaconda/dispatch.py", line 33, in ?
    from bootloader import writeBootloader, bootloaderSetupChoices
  File "/usr/lib/anaconda/bootloader.py", line 32, in ?
    from booty import *
ImportError: No module named booty
[root@wally tmp]#


Expected Results:  [root@wally tmp]# anaconda --test
no install method specified
[root@wally tmp]#



Additional info:

Comment 1 Jeremy Katz 2004-08-16 20:31:45 UTC
Already on HEAD, committed to taroon-branch and will be in the next
build (probably post-U3 unless something goes badly wrong)


Note You need to log in before you can comment on or make changes to this bug.